Unsupported major.minor version 52.0

Supporting 2.6 and up
dstockman
Phidgetsian
Posts: 10
Joined: Sat Dec 24, 2011 9:15 am
Contact:

Unsupported major.minor version 52.0

Postby dstockman » Sat Oct 22, 2016 2:51 pm

I run a phidgetSBC2 board, and have for a few years. I wrote a new program and uploaded to the SBC but I get the following error.

Exception in thread "main" java.lang.UnsupportedClassVersionError: reenrecorder3/ReEnRecorder3 : Unsupported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:634)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:334)
Could not find the main class: reenrecorder3.ReEnRecorder3. Program will exit.

I have tried a number of different things but so far get the same error.

Win7, x64.
NetBeans 8.1
I recently recompiled an older program, uploaded, and that runs fine. I verified they are using the same version of JDK (1.8 (Default))
I updated my phidget library on computer.
I refreshed all the software on the SBC to be current version.
I used the downloaded (newest) phidget21.jar when building program.
I can run the new program fine in NetBeans with the debugger and a phidget 8/8/8 board over USB.

What should I try next / where am I going wrong?

Thanks in advance.

Doug

manuNDL
Fresh meat
Posts: 3
Joined: Mon May 08, 2017 5:31 pm
Contact:

Re: Unsupported major.minor version 52.0

Postby manuNDL » Mon May 08, 2017 5:34 pm

Hello everybody,

EXACTELY the same problem for me...
I am quite dispressed about that
any idea??

thanks

User avatar
Patrick
Lead Developer
Posts: 3064
Joined: Mon Jun 20, 2005 8:46 am
Location: Canada
Contact:

Re: Unsupported major.minor version 52.0

Postby Patrick » Tue May 09, 2017 8:27 am

http://stackoverflow.com/questions/1038 ... inor-versi

Determine which JRE version is installed on the SBC, and specify that target when you compile with a newer JDK.

-Patrick


Return to “Linux”

Who is online

Users browsing this forum: No registered users and 2 guests